Commit 0410b6e7 authored by Lorenz Huedepohl's avatar Lorenz Huedepohl

Load pkg-config module for CI tests

Native version on SLES11 SP4 is too old
parent 4b7c1292
before_script:
- export LANG=C
- module load impi/5.1.3 intel/16.0 gcc/4.9 mkl/11.3 autotools
- module load impi/5.1.3 intel/16.0 gcc/4.9 mkl/11.3 autotools pkg-config
- export MKL_INTEL_SCALAPACK_MPI_NO_OMP_BASELINE="-L$MKL_HOME/lib/intel64 -lmkl_scalapack_lp64 -lmkl_intel_lp64 -lmkl_sequential -lmkl_core -lmkl_blacs_intelmpi_lp64 -lpthread -lm"
- export MKL_INTEL_SCALAPACK_FCFLAGS_MPI_NO_OMP="$MKL_INTEL_SCALAPACK_MPI_NO_OMP_BASELINE -I$MKL_HOME/include/intel64/lp64"
- export MKL_INTEL_SCALAPACK_LDFLAGS_MPI_NO_OMP="$MKL_INTEL_SCALAPACK_MPI_NO_OMP_BASELINE -Wl,-rpath,$MKL_HOME/lib/intel64"
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment